<?php



$tdatatb_estoque_medic = array();
$tdatatb_estoque_medic[".searchableFields"] = array();
$tdatatb_estoque_medic[".ShortName"] = "tb_estoque_medic";
$tdatatb_estoque_medic[".OwnerID"] = "";
$tdatatb_estoque_medic[".OriginalTable"] = "tb_estoque_medic";


$tdatatb_estoque_medic[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatatb_estoque_medic[".originalPagesByType"] = $tdatatb_estoque_medic[".pagesByType"];
$tdatatb_estoque_medic[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatatb_estoque_medic[".originalPages"] = $tdatatb_estoque_medic[".pages"];
$tdatatb_estoque_medic[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatatb_estoque_medic[".originalDefaultPages"] = $tdatatb_estoque_medic[".defaultPages"];

//	field labels
$fieldLabelstb_estoque_medic = array();
$fieldToolTipstb_estoque_medic = array();
$pageTitlestb_estoque_medic = array();
$placeHolderstb_estoque_medic = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelstb_estoque_medic["English"] = array();
	$fieldToolTipstb_estoque_medic["English"] = array();
	$placeHolderstb_estoque_medic["English"] = array();
	$pageTitlestb_estoque_medic["English"] = array();
	$fieldLabelstb_estoque_medic["English"]["estoqueID"] = "Estoque ID";
	$fieldToolTipstb_estoque_medic["English"]["estoqueID"] = "";
	$placeHolderstb_estoque_medic["English"]["estoqueID"] = "";
	$fieldLabelstb_estoque_medic["English"]["medicamento"] = "Medicamento";
	$fieldToolTipstb_estoque_medic["English"]["medicamento"] = "";
	$placeHolderstb_estoque_medic["English"]["medicamento"] = "";
	$fieldLabelstb_estoque_medic["English"]["validade"] = "Validade";
	$fieldToolTipstb_estoque_medic["English"]["validade"] = "";
	$placeHolderstb_estoque_medic["English"]["validade"] = "";
	$fieldLabelstb_estoque_medic["English"]["data_verificacao"] = "Data Verificação ";
	$fieldToolTipstb_estoque_medic["English"]["data_verificacao"] = "";
	$placeHolderstb_estoque_medic["English"]["data_verificacao"] = "";
	$fieldLabelstb_estoque_medic["English"]["caixa_fechada"] = "Caixa Fechada";
	$fieldToolTipstb_estoque_medic["English"]["caixa_fechada"] = "";
	$placeHolderstb_estoque_medic["English"]["caixa_fechada"] = "";
	$fieldLabelstb_estoque_medic["English"]["cx_aberta_unid"] = "Cx Aberta (Unid. na caixa)";
	$fieldToolTipstb_estoque_medic["English"]["cx_aberta_unid"] = "";
	$placeHolderstb_estoque_medic["English"]["cx_aberta_unid"] = "";
	$fieldLabelstb_estoque_medic["English"]["quadro_dosagem"] = "Quadro Dosagem";
	$fieldToolTipstb_estoque_medic["English"]["quadro_dosagem"] = "";
	$placeHolderstb_estoque_medic["English"]["quadro_dosagem"] = "";
	if (count($fieldToolTipstb_estoque_medic["English"]))
		$tdatatb_estoque_medic[".isUseToolTips"] = true;
}


	$tdatatb_estoque_medic[".NCSearch"] = true;



$tdatatb_estoque_medic[".shortTableName"] = "tb_estoque_medic";
$tdatatb_estoque_medic[".nSecOptions"] = 0;

$tdatatb_estoque_medic[".mainTableOwnerID"] = "";
$tdatatb_estoque_medic[".entityType"] = 0;

$tdatatb_estoque_medic[".strOriginalTableName"] = "tb_estoque_medic";

	



$tdatatb_estoque_medic[".showAddInPopup"] = false;

$tdatatb_estoque_medic[".showEditInPopup"] = false;

$tdatatb_estoque_medic[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatatb_estoque_medic[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatatb_estoque_medic[".listAjax"] = false;
//	temporary
$tdatatb_estoque_medic[".listAjax"] = false;

	$tdatatb_estoque_medic[".audit"] = false;

	$tdatatb_estoque_medic[".locking"] = false;


$pages = $tdatatb_estoque_medic[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatatb_estoque_medic[".edit"] = true;
	$tdatatb_estoque_medic[".afterEditAction"] = 0;
	$tdatatb_estoque_medic[".closePopupAfterEdit"] = 1;
	$tdatatb_estoque_medic[".afterEditActionDetTable"] = "Detail tables not found!";
}

if( $pages[PAGE_ADD] ) {
$tdatatb_estoque_medic[".add"] = true;
$tdatatb_estoque_medic[".afterAddAction"] = 1;
$tdatatb_estoque_medic[".closePopupAfterAdd"] = 1;
$tdatatb_estoque_medic[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatatb_estoque_medic[".list"] = true;
}



$tdatatb_estoque_medic[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatatb_estoque_medic[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatatb_estoque_medic[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatatb_estoque_medic[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatatb_estoque_medic[".printFriendly"] = true;
}



$tdatatb_estoque_medic[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatatb_estoque_medic[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatatb_estoque_medic[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatatb_estoque_medic[".isUseAjaxSuggest"] = true;

$tdatatb_estoque_medic[".rowHighlite"] = true;





$tdatatb_estoque_medic[".ajaxCodeSnippetAdded"] = false;

$tdatatb_estoque_medic[".buttonsAdded"] = false;

$tdatatb_estoque_medic[".addPageEvents"] = false;

// use timepicker for search panel
$tdatatb_estoque_medic[".isUseTimeForSearch"] = false;


$tdatatb_estoque_medic[".badgeColor"] = "DC143C";


$tdatatb_estoque_medic[".allSearchFields"] = array();
$tdatatb_estoque_medic[".filterFields"] = array();
$tdatatb_estoque_medic[".requiredSearchFields"] = array();

$tdatatb_estoque_medic[".googleLikeFields"] = array();
$tdatatb_estoque_medic[".googleLikeFields"][] = "estoqueID";
$tdatatb_estoque_medic[".googleLikeFields"][] = "medicamento";
$tdatatb_estoque_medic[".googleLikeFields"][] = "caixa_fechada";
$tdatatb_estoque_medic[".googleLikeFields"][] = "validade";
$tdatatb_estoque_medic[".googleLikeFields"][] = "data verificacao";
$tdatatb_estoque_medic[".googleLikeFields"][] = "cx_aberta_unid";
$tdatatb_estoque_medic[".googleLikeFields"][] = "quadro_dosagem";



$tdatatb_estoque_medic[".tableType"] = "list";

$tdatatb_estoque_medic[".printerPageOrientation"] = 0;
$tdatatb_estoque_medic[".nPrinterPageScale"] = 100;

$tdatatb_estoque_medic[".nPrinterSplitRecords"] = 40;

$tdatatb_estoque_medic[".geocodingEnabled"] = false;










$tdatatb_estoque_medic[".pageSize"] = 20;

$tdatatb_estoque_medic[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatatb_estoque_medic[".strOrderBy"] = $tstrOrderBy;

$tdatatb_estoque_medic[".orderindexes"] = array();

$tdatatb_estoque_medic[".sqlHead"] = "SELECT estoqueID,  	medicamento,  	caixa_fechada,  	validade,  	`data verificacao`,  	cx_aberta_unid,  	quadro_dosagem";
$tdatatb_estoque_medic[".sqlFrom"] = "FROM tb_estoque_medic";
$tdatatb_estoque_medic[".sqlWhereExpr"] = "";
$tdatatb_estoque_medic[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatatb_estoque_medic[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatatb_estoque_medic[".arrGroupsPerPage"] = $arrGPP;

$tdatatb_estoque_medic[".highlightSearchResults"] = true;

$tableKeystb_estoque_medic = array();
$tableKeystb_estoque_medic[] = "estoqueID";
$tdatatb_estoque_medic[".Keys"] = $tableKeystb_estoque_medic;


$tdatatb_estoque_medic[".hideMobileList"] = array();




//	estoqueID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "estoqueID";
	$fdata["GoodName"] = "estoqueID";
	$fdata["ownerTable"] = "tb_estoque_medic";
	$fdata["Label"] = GetFieldLabel("tb_estoque_medic","estoqueID");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "estoqueID";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "estoqueID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_estoque_medic["estoqueID"] = $fdata;
		$tdatatb_estoque_medic[".searchableFields"][] = "estoqueID";
//	medicamento
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "medicamento";
	$fdata["GoodName"] = "medicamento";
	$fdata["ownerTable"] = "tb_estoque_medic";
	$fdata["Label"] = GetFieldLabel("tb_estoque_medic","medicamento");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "medicamento";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "medicamento";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "tb_lista medicamentos";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "medicamentoID";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "nome_fantasia";

	

	
	$edata["LookupOrderBy"] = "nome_fantasia";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_estoque_medic["medicamento"] = $fdata;
		$tdatatb_estoque_medic[".searchableFields"][] = "medicamento";
//	caixa_fechada
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "caixa_fechada";
	$fdata["GoodName"] = "caixa_fechada";
	$fdata["ownerTable"] = "tb_estoque_medic";
	$fdata["Label"] = GetFieldLabel("tb_estoque_medic","caixa_fechada");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "caixa_fechada";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "caixa_fechada";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_estoque_medic["caixa_fechada"] = $fdata;
		$tdatatb_estoque_medic[".searchableFields"][] = "caixa_fechada";
//	validade
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "validade";
	$fdata["GoodName"] = "validade";
	$fdata["ownerTable"] = "tb_estoque_medic";
	$fdata["Label"] = GetFieldLabel("tb_estoque_medic","validade");
	$fdata["FieldType"] = 7;

	
	
	
			

		$fdata["strField"] = "validade";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "validade";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "Invalid week day", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 2;
	$edata["InitialYearFactor"] = 2;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_estoque_medic["validade"] = $fdata;
		$tdatatb_estoque_medic[".searchableFields"][] = "validade";
//	data verificacao
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "data verificacao";
	$fdata["GoodName"] = "data_verificacao";
	$fdata["ownerTable"] = "tb_estoque_medic";
	$fdata["Label"] = GetFieldLabel("tb_estoque_medic","data_verificacao");
	$fdata["FieldType"] = 7;

	
	
	
			

		$fdata["strField"] = "data verificacao";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`data verificacao`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "Invalid week day", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 2;
	$edata["InitialYearFactor"] = 2;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_estoque_medic["data verificacao"] = $fdata;
		$tdatatb_estoque_medic[".searchableFields"][] = "data verificacao";
//	cx_aberta_unid
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "cx_aberta_unid";
	$fdata["GoodName"] = "cx_aberta_unid";
	$fdata["ownerTable"] = "tb_estoque_medic";
	$fdata["Label"] = GetFieldLabel("tb_estoque_medic","cx_aberta_unid");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "cx_aberta_unid";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "cx_aberta_unid";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_estoque_medic["cx_aberta_unid"] = $fdata;
		$tdatatb_estoque_medic[".searchableFields"][] = "cx_aberta_unid";
//	quadro_dosagem
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "quadro_dosagem";
	$fdata["GoodName"] = "quadro_dosagem";
	$fdata["ownerTable"] = "tb_estoque_medic";
	$fdata["Label"] = GetFieldLabel("tb_estoque_medic","quadro_dosagem");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "quadro_dosagem";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "quadro_dosagem";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_estoque_medic["quadro_dosagem"] = $fdata;
		$tdatatb_estoque_medic[".searchableFields"][] = "quadro_dosagem";


$tables_data["tb_estoque_medic"]=&$tdatatb_estoque_medic;
$field_labels["tb_estoque_medic"] = &$fieldLabelstb_estoque_medic;
$fieldToolTips["tb_estoque_medic"] = &$fieldToolTipstb_estoque_medic;
$placeHolders["tb_estoque_medic"] = &$placeHolderstb_estoque_medic;
$page_titles["tb_estoque_medic"] = &$pageTitlestb_estoque_medic;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["tb_estoque_medic"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["tb_estoque_medic"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_tb_estoque_medic()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "estoqueID,  	medicamento,  	caixa_fechada,  	validade,  	`data verificacao`,  	cx_aberta_unid,  	quadro_dosagem";
$proto0["m_strFrom"] = "FROM tb_estoque_medic";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "estoqueID",
	"m_strTable" => "tb_estoque_medic",
	"m_srcTableName" => "tb_estoque_medic"
));

$proto6["m_sql"] = "estoqueID";
$proto6["m_srcTableName"] = "tb_estoque_medic";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "medicamento",
	"m_strTable" => "tb_estoque_medic",
	"m_srcTableName" => "tb_estoque_medic"
));

$proto8["m_sql"] = "medicamento";
$proto8["m_srcTableName"] = "tb_estoque_medic";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "caixa_fechada",
	"m_strTable" => "tb_estoque_medic",
	"m_srcTableName" => "tb_estoque_medic"
));

$proto10["m_sql"] = "caixa_fechada";
$proto10["m_srcTableName"] = "tb_estoque_medic";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "validade",
	"m_strTable" => "tb_estoque_medic",
	"m_srcTableName" => "tb_estoque_medic"
));

$proto12["m_sql"] = "validade";
$proto12["m_srcTableName"] = "tb_estoque_medic";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "data verificacao",
	"m_strTable" => "tb_estoque_medic",
	"m_srcTableName" => "tb_estoque_medic"
));

$proto14["m_sql"] = "`data verificacao`";
$proto14["m_srcTableName"] = "tb_estoque_medic";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "cx_aberta_unid",
	"m_strTable" => "tb_estoque_medic",
	"m_srcTableName" => "tb_estoque_medic"
));

$proto16["m_sql"] = "cx_aberta_unid";
$proto16["m_srcTableName"] = "tb_estoque_medic";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "quadro_dosagem",
	"m_strTable" => "tb_estoque_medic",
	"m_srcTableName" => "tb_estoque_medic"
));

$proto18["m_sql"] = "quadro_dosagem";
$proto18["m_srcTableName"] = "tb_estoque_medic";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto20=array();
$proto20["m_link"] = "SQLL_MAIN";
			$proto21=array();
$proto21["m_strName"] = "tb_estoque_medic";
$proto21["m_srcTableName"] = "tb_estoque_medic";
$proto21["m_columns"] = array();
$proto21["m_columns"][] = "estoqueID";
$proto21["m_columns"][] = "medicamento";
$proto21["m_columns"][] = "caixa_fechada";
$proto21["m_columns"][] = "validade";
$proto21["m_columns"][] = "data verificacao";
$proto21["m_columns"][] = "cx_aberta_unid";
$proto21["m_columns"][] = "quadro_dosagem";
$obj = new SQLTable($proto21);

$proto20["m_table"] = $obj;
$proto20["m_sql"] = "tb_estoque_medic";
$proto20["m_alias"] = "";
$proto20["m_srcTableName"] = "tb_estoque_medic";
$proto22=array();
$proto22["m_sql"] = "";
$proto22["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto22["m_column"]=$obj;
$proto22["m_contained"] = array();
$proto22["m_strCase"] = "";
$proto22["m_havingmode"] = false;
$proto22["m_inBrackets"] = false;
$proto22["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto22);

$proto20["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto20);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="tb_estoque_medic";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_tb_estoque_medic = createSqlQuery_tb_estoque_medic();


	
		;

							

$tdatatb_estoque_medic[".sqlquery"] = $queryData_tb_estoque_medic;

$tableEvents["tb_estoque_medic"] = new eventsBase;
$tdatatb_estoque_medic[".hasEvents"] = false;

?>